<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

/**
 * Project FancyUpload
 *
 * This file represents a simple logging, validation and output.
 *  *
 * WARNING: If you really copy these lines in your backend without
 * any modification, there is something seriously wrong! Drop me a line
 * and I can give you a good rate for fancy and customised installation.
 *
 * No showcase represents 100% an actual real world file handling,
 * you need to move and process the file in your own code!
 * Just like you would do it with other uploaded files, nothing
 * special.
 *
 * @license		MIT License
 *
 * @author		Harald Kirschner <mail [at] digitarald [dot] de>
 * @copyright	Authors
 *
 */

session_start();
if($_SESSION['admin']!='')
{
  require_once('../jadro/base.php');
  require_once('../jadro/core.func.inc.php');
  require_once('../jadro/libs/xajax/xajax.inc.php');

  @set_time_limit(300);

  global $xajax;
  $xajax = new xajax();
  $xajax->registerFunction('ajax_addphoto');

  definevars("where id='REWRITE_ENABLED' or id='EXIF' or id='THUMBNAIL_WIDTH' or id='THUMBNAIL_HEIGHT' or id='THUMBNAIL_CONSTRAIN' or id='MIDWIDTH' or id='MIDHEIGHT' or id='MEDIUM_CONSTRAIN' or id='ADMIN_NAME'  or id='WATERMARK'");


  function ajax_addphoto($opt)
  {
    global $db,$table;

    require_once('../jadro/addfunc.php');
    require_once('../jadro/categories.inc.php');
    require_once('../jadro/libs/thumbnailer/thumbnail.inc.php');
    require_once('../jadro/libs/exif/exif.inc.php');
    require_once('../jadro/photo.inc.php');
    require_once('../jadro/libs/phpwatermark/watermark.php');
    require_once('../jadro/functions.php');

    $resp=New xajaxResponse();

    $opt=array_map('htmlspecialchars_m',$opt);
    $photopath=DATAPATH . '/upload/' . $opt['file'];

    $ex = explode('.', $opt['file']);
    if ($ex[1] == 'jpeg') {
      rename($photopath, DATAPATH . '/upload/' . $ex[0] . '.jpg');
      $photopath = DATAPATH . '/upload/' . $ex[0] . '.jpg';
    }


    if(file_exists($photopath))
    {
      $c=addimagetodb(array('approved'=>'yes','featured'=>intval($opt['favorite']),'caption'=> $opt['caption'] ,'timehour'=>gmdate('D, d M Y H:i:s', time()).' GMT' ,'photodesc'=> '' , 'categoryid'=> $opt['categoryid'] ,'date'=>date('m').'-'.date('d') . '-' .date('Y')));

      if(!$c)
      {
        $er_tag['add']='Can not add the photo details to database.';
      }
      else
      {
        $mimetype=getmimetype($opt['file']);
        $pic=$c .'.'. $mimetype;

        //exif data
        if(EXIF==1)
        {
          $exifdata=exif_read($photopath);
          if($exifdata!==false)
          exif_savetodb($exifdata,$c);

          unset($exifdata);
        }

        //watermark
        if(WATERMARK==1)
        watermarkphoto_s($photopath);

        createphotothumbs($photopath,$pic);

        $hash=md5_file(DATAPATH . '/photos/' . $pic);

        $opt['photo']=$c . '_' .$hash . '.' . $mimetype;
        $opt['id']=$c;

        $db->Execute("UPDATE {$table['items']} set photo='".$opt['photo'] . "' where id='{$c}'");

        incnumphotos($opt['categoryid']);

        $resp->addScriptCall('mulupload_addphoto',$opt);
        $resp->addScriptCall('mulupload_prepare');

      }
    }

    return $resp;

  }

  $xajax->processRequests();

  $smarty->compile_dir = DATAPATH.'/admincache';
  $smarty->template_dir='./tpl/';

  $_SESSION['uploadfile']='';

  if($_GET['act']=='process')
  {
    $smarty->assign('photos',$_SESSION['muluploadfile']);
    $smarty->assign('act','process');
    $categoryid=intval($_POST['c']);
    $smarty->assign('categoryid',$categoryid);
    $categoryname=getone($table['categories'],'catpath',"where id='$categoryid'");

    $smarty->assign('categoryname',$categoryname);
    if(REWRITE_ENABLED==1)
    $smarty->assign('category',SITE_ROOT . '/' . $categoryname . '/');
    else
    $smarty->assign('category','../index.php?c=' . $categoryid);

    if($_POST['favorite']=='on')
    $favorite=1;
    else
    $favorite=0;

    $smarty->assign('favorite',$favorite);
  }
  else
  {
    $_SESSION['muluploadfile']=array();
    $smarty->assign('act','');
    $smarty->assign('cat',0);
  }

  $smarty->assign('xajax',$xajax);
  $smarty->assign('xajax_dir',SITE_ROOT . '/jadro/libs/xajax/');
  $smarty->assign('title','Multi-Photo Uploader');
  $smarty->assign('conts_sel_cat',' id="c" class="ss" ');
  $smarty->display('multiupload.tpl');
}
else
header('Location: index.php');